Bug 253518 - [fixed in 2.2.1 (probably)] writer crash on opening doc file
[fixed in 2.2.1 (probably)] writer crash on opening doc file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 08:24 EDT by Jan Navratil
Modified: 2008-05-21 13:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEL-5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This might be the solution, need to be able to reproduce it to be sure (2.77 KB, patch)
2007-08-27 03:33 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 68655 None None None Never

  None (edit)
Description Jan Navratil 2007-08-20 08:24:47 EDT
Description of problem:

File was created in OOo and saved as *.doc file. Writer crashes on opening this
file. 

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.4-5.4.17.1

Additional info:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52.el5.2-i386
(V)    kernel is: Linux 2.6.18-8.1.6.el5 #1 SMP Fri Jun 1 18:52:11 EDT
2007 i686 i686 i386
(VI)   OpenOffice.org core rpm version is:
openoffice.org-core-2.0.4-5.4.17.1-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x4f33dee8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22ee8
0x4f33eb7b: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23b7b
0x1fe420:  + 0x420 (__kernel_sigreturn + 0x0)
0x4f532af4:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x24af4
0x4f5347a3:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x267a3
(cppu::WeakImplHelper_query(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::OWeakObject*) + 0x153)
0xa18479: /usr/lib/openoffice.org2.0/program/configmgr2.uno.so + 0x192479
0xe4b688: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x11688
0x4f4f5044: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x13044
0x4f4ee08f: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xc08f
(uno_type_assignData + 0x57)
0xe6253b: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x2853b
0xe63351: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x29351
0xe7531f: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x3b31f
0xe75704: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x3b704
0xe763c3: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x3c3c3
0xe7ba30: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x41a30
0x7377a8d: /usr/lib/openoffice.org2.0/program/libembobj.so + 0x50a8d
(ConfigurationHelper::UpdateMediaDescriptorWithFilterName(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&,
unsigned char) + 0x2cd)
0x735e260: /usr/lib/openoffice.org2.0/program/libembobj.so + 0x37260
(UNOEmbeddedObjectCreator::createInstanceInitFromMediaDescriptor(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x100)
0x4f856531: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so +
0x47531
(comphelper::EmbeddedObjectContainer::InsertEmbeddedObject(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&, rtl::OUString&) + 0x191)
0x4369e662: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9d3662
(SvxMSDffManager::CheckForConvertToSOObj(unsigned long, SotStorage&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&,
Graphic const&, Rectangle const&) + 0x6f2)
0x4369fafd: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9d4afd
(SvxMSDffManager::CreateSdrOLEFromStorage(String const&, SotStorageRef&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&,
Graphic const&, Rectangle const&, Rectangle const&, SvStream*, unsigned
long&, unsigned long) + 0x73d)
0x43fdbae1: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6efae1
0x43699d80: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9ced80
(SvxMSDffManager::ImportGraphic(SvStream&, SfxItemSet&, Rectangle&,
DffObjData const&) const + 0xc70)
0x436aeb40: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9e3b40
(SvxMSDffManager::ImportShape(DffRecordHeader const&, SvStream&, void*,
Rectangle const&, Rectangle const&, int, long*) + 0x1070)
0x436b3667: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9e8667
(SvxMSDffManager::ImportObj(SvStream&, void*, Rectangle const&,
Rectangle const&, int, long*) + 0xf7)
0x436b3774: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x9e8774
(SvxMSDffManager::GetShape(unsigned long, SdrObject*&,
SvxMSDffImportData&) + 0x104)
0x43fd2446: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6e6446
0x43fdc8f6: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6f08f6
0x43fdcc0a: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6f0c0a
0x43fe0132: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6f4132
0x43fe8bac: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6fcbac
0x43fe9287: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6fd287
0x43fe9c66: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6fdc66
0x43fe9d81: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6fdd81
0x43ea724f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5bb24f
0x440a0e1d: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x7b4e1d
0x4239e58c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19d58c
(SfxObjectShell::DoLoad(SfxMedium*) + 0x79c)
0x42402193: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x201193
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x323)
0x4243849f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x23749f
0x42b891b6: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a01b6
0x42b8adca: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a1dca
0x42b8b015: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1a2015
0x42a30493: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x47493
0x41a3e02f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3e02f
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) +
0x18cf)
0x41a30901: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x30901
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x151)
0x41a2af11: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2af11
(desktop::Desktop::OpenClients() + 0x1421)
0x41a2c220: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2c220
(desktop::Desktop::OpenClients_Impl(void*) + 0x50)
0x41a2c2d4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2c2d4
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x24)
0x4fccd226: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x282226
0xee7341: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so +
0x50341 (SalDisplay::DispatchInternalEvent() + 0xb1)
0x548ca6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfca6
0x548ce1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfce1
0x412ef5e1: /lib/libglib-2.0.so.0 + 0x295e1
0x412f1342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch +
0x182)
0x412f431f: /lib/libglib-2.0.so.0 + 0x2e31f
0x412f4885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration +
0x65)
0x54abd1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so +
0x11bd1
0xee87b7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so +
0x517b7 (X11SalInstance::Yield(bool, bool) + 0x37)
0x4fae0708: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x95708
(Application::Yield(bool) + 0x68)
0x4fae07dc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x957dc
(Application::Execute() + 0x3c)
0x41a26279: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26279
(desktop::Desktop::Main() + 0x1779)
0x4fae62ac: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b2ac
0x4fae63b5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b3b5
(SVMain() + 0x35)
0x41a17979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17979
(sal_main + 0x59)
0x41a17a04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a04
(main + 0x44)
0x41134dec: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x003a9000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3
(0x00182000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x005c8000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3
(0x00155000)
	libdl.so.2 => /lib/libdl.so.2 (0x00543000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00f22000)
	libstlport_gcc.so =>
/usr/lib/openoffice.org2.0/program/libstlport_gcc.so (0x00ceb000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x003aa000)
	libm.so.6 => /lib/libm.so.6 (0x008a9000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0096b000)
	libc.so.6 => /lib/libc.so.6 (0x005cd000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00c53000)
	/lib/ld-linux.so.2 (0x4f750000)
...end sample ldd details ...
Comment 2 Stanislav Bulicek 2007-08-21 05:06:46 EDT
Same for openoffice.org-writer-2.0.4-5.4.17.2

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52.el5.2-i386
(V)    kernel is: Linux 2.6.18-8.1.6.el5 #1 SMP Fri Jun 1 18:52:11 EDT 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.4.17.2-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0xed7ee8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22ee8
0xed8b7b: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23b7b
0x747420:  + 0x420 (__kernel_sigreturn + 0x0)
0xd0c987: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x67987
(SvStream::Read(void*, unsigned long) + 0x97)
0x256aad: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x38aad
(utl::OInputStreamWrapper::readBytes(com::sun::star::uno::Sequence<signed
char>&, long) + 0xdd)
0x2714fb: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x534fb
(utl::UcbLockBytes::ReadAt(unsigned long, void*, unsigned long, unsigned long*)
const + 0x17b)
0xd0e6d2: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x696d2
(SvStream::GetData(void*, unsigned long) + 0x42)
0xd0c987: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x67987
(SvStream::Read(void*, unsigned long) + 0x97)
0x1740eab: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x149eab
(SfxMedium::CreateTempFile() + 0x1cb)
0x1742ab4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x14bab4
(SfxMedium::GetStorage() + 0x1224)
0x219d4e8: /usr/lib/openoffice.org2.0/program/libsdd680li.so + 0x54e8
0x7ebb685: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x3b685
0x7ebc3c3: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x3c3c3
0x7ec1a30: /usr/lib/openoffice.org2.0/program/libfilterconfig1.so + 0x41a30
0x2469a8d: /usr/lib/openoffice.org2.0/program/libembobj.so + 0x50a8d
(ConfigurationHelper::UpdateMediaDescriptorWithFilterName(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&,
unsigned char) + 0x2cd)
0x2450260: /usr/lib/openoffice.org2.0/program/libembobj.so + 0x37260
(UNOEmbeddedObjectCreator::createInstanceInitFromMediaDescriptor(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x100)
0xb78491: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x42491
(comphelper::EmbeddedObjectContainer::InsertEmbeddedObject(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&, rtl::OUString&) + 0x191)
0xb20a2662: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x989662
(SvxMSDffManager::CheckForConvertToSOObj(unsigned long, SotStorage&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&, Graphic
const&, Rectangle const&) + 0x6f2)
0xb20a3afd: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x98aafd
(SvxMSDffManager::CreateSdrOLEFromStorage(String const&, SotStorageRef&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&, Graphic
const&, Rectangle const&, Rectangle const&, SvStream*, unsigned long&, unsigned
long) + 0x73d)
0xb29a5a31: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6b7a31
0xb209dd80: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x984d80
(SvxMSDffManager::ImportGraphic(SvStream&, SfxItemSet&, Rectangle&, DffObjData
const&) const + 0xc70)
0xb20b2b40: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x999b40
(SvxMSDffManager::ImportShape(DffRecordHeader const&, SvStream&, void*,
Rectangle const&, Rectangle const&, int, long*) + 0x1070)
0xb20b7667: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x99e667
(SvxMSDffManager::ImportObj(SvStream&, void*, Rectangle const&, Rectangle
const&, int, long*) + 0xf7)
0xb20b7774: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x99e774
(SvxMSDffManager::GetShape(unsigned long, SdrObject*&, SvxMSDffImportData&) + 0x104)
0xb299c396: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6ae396
0xb29a6846: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6b8846
0xb29a6b5a: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6b8b5a
0xb29aa082: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6bc082
0xb29b2afc: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6c4afc
0xb29b31d7: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6c51d7
0xb29b3bb6: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6c5bb6
0xb29b3cd1: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6c5cd1
0xb28711ff: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5831ff
0xb2a6ad6d: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x77cd6d
0x178306c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18c06c
(SfxObjectShell::DoLoad(SfxMedium*) + 0x79c)
0x17e6c73: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1efc73
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x323)
0x181cf7f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x225f7f
0x5b571b6: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1961b6
0x5b58dca: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x197dca
0x5b59015: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x198015
0x59fe493: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3d493
0xe9903f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3d03f
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x18cf)
0xe8b911: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2f911
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x151)
0xe85f21: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29f21
(desktop::Desktop::OpenClients() + 0x1421)
0xe87230: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2b230
(desktop::Desktop::OpenClients_Impl(void*) + 0x50)
0xe872e4: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2b2e4
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x24)
0x6112e6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2782e6
0x24dc341: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x50341
(SalDisplay::DispatchInternalEvent() + 0xb1)
0x1ec3ca6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfca6
0x1ec3ce1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfce1
0x412ef5e1: /lib/libglib-2.0.so.0 + 0x295e1
0x412f1342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x412f431f: /lib/libglib-2.0.so.0 + 0x2e31f
0x412f4885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x1ec5bd1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11bd1
0x24dd7b7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517b7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x4247c8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8b7c8
(Application::Yield(bool) + 0x68)
0x42489c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8b89c
(Application::Execute() + 0x3c)
0xe81289: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25289
(desktop::Desktop::Main() + 0x1779)
0x42a36c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9136c
0x42a475: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x91475 (SVMain()
+ 0x35)
0xe72979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x16979 (sal_main +
0x59)
0xe72a04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x16a04 (main + 0x44)
0x41134dec: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x8048481: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x481
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00b01000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00233000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00110000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00115000)
	libdl.so.2 => /lib/libdl.so.2 (0x001b1000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x001e9000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x0073f000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x003f8000)
	libm.so.6 => /lib/libm.so.6 (0x00ea9000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0012e000)
	libc.so.6 => /lib/libc.so.6 (0x004e3000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0013a000)
	/lib/ld-linux.so.2 (0x4f750000)
...end sample ldd details ...
Comment 3 Caolan McNamara 2007-08-21 05:16:52 EDT
You're disk isn't full or anything, what does df -k say. There's clearly
something wrong with how one of the embedded objects is being handled.
Comment 4 Caolan McNamara 2007-08-27 03:31:46 EDT
I suspect this may be http://qa.openoffice.org/issues/show_bug.cgi?id=68655
Comment 5 Caolan McNamara 2007-08-27 03:33:07 EDT
Created attachment 173341 [details]
This might be the solution, need to be able to reproduce it to be sure

I suspect that this fix would solve the problem, as would moving to >= 2.1.0
for RHEL-5
Comment 6 Stanislav Bulicek 2007-09-06 05:41:34 EDT
Here is the df

[sbulicek@sbulicek ~]$ df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/HelpdeskRHEL5-Root
                      10157368   6829204   2803876  71% /
/dev/mapper/HelpdeskRHEL5-NotBackedUp
                      40629568  36363332   2588792  94% /NotBackedUp
/dev/sda1               101086     28344     67523  30% /boot
tmpfs                   513036         0    513036   0% /dev/shm
/dev/mapper/Helpdesk-CryptHome
                       4128448   1219772   2698964  32% /home

And here is the tb from openoffice.org-writer-2.1.0-6.13 :(
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52.el5.2-i386
(V)    kernel is: Linux 2.6.18-8.1.6.el5 #1 SMP Fri Jun 1 18:52:11 EDT 2007 i686
i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.1.0-6.13-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start free space details ...
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x5d981e5: /usr/lib/openoffice.org2.1/program/libuno_sal.so.3 + 0x211e5
0x5d98a7f: /usr/lib/openoffice.org2.1/program/libuno_sal.so.3 + 0x21a7f
0x3a5420:  + 0x420 (__kernel_sigreturn + 0x0)
0x2c339a: /usr/lib/openoffice.org2.1/program/libtl680li.so + 0x5539a
(SvStream::Read(void*, unsigned long) + 0x122)
0x21b3b4: /usr/lib/openoffice.org2.1/program/libutl680li.so + 0x313b4
(utl::OInputStreamWrapper::readBytes(com::sun::star::uno::Sequence<signed
char>&, long) + 0xfa)
0x22f66a: /usr/lib/openoffice.org2.1/program/libutl680li.so + 0x4566a
(utl::UcbLockBytes::ReadAt(unsigned long, void*, unsigned long, unsigned long*)
const + 0x1c8)
0x2c238a: /usr/lib/openoffice.org2.1/program/libtl680li.so + 0x5438a
(SvStream::GetData(void*, unsigned long) + 0x34)
0x2c339a: /usr/lib/openoffice.org2.1/program/libtl680li.so + 0x5539a
(SvStream::Read(void*, unsigned long) + 0x122)
0x1a7f1d9: /usr/lib/openoffice.org2.1/program/libsfx680li.so + 0x1101d9
(SfxMedium::CreateTempFile() + 0x3e7)
0x1a80e5f: /usr/lib/openoffice.org2.1/program/libsfx680li.so + 0x111e5f
(SfxMedium::GetStorage() + 0x4f9)
0x24f42cb: /usr/lib/openoffice.org2.1/program/libsdd680li.so + 0x42cb
0x5d4ec61: /usr/lib/openoffice.org2.1/program/libfilterconfig1.so + 0x26c61
0x5d4f332: /usr/lib/openoffice.org2.1/program/libfilterconfig1.so + 0x27332
0x5d4f991: /usr/lib/openoffice.org2.1/program/libfilterconfig1.so + 0x27991
0x244d597: /usr/lib/openoffice.org2.1/program/libembobj.so + 0x41597
(ConfigurationHelper::UpdateMediaDescriptorWithFilterName(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>&,
unsigned char) + 0x14f)
0x243ec7e: /usr/lib/openoffice.org2.1/program/libembobj.so + 0x32c7e
(UNOEmbeddedObjectCreator::createInstanceInitFromMediaDescriptor(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x1a2)
0x5533668: /usr/lib/openoffice.org2.1/program/libcomphelp4gcc3.so + 0x40668
(comphelper::EmbeddedObjectContainer::InsertEmbeddedObject(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&, rtl::OUString&) + 0x132)
0x146fb1d: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x732b1d
(SvxMSDffManager::CheckForConvertToSOObj(unsigned long, SotStorage&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&, Graphic
const&, Rectangle const&) + 0x657)
0x147f7d7: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x7427d7
(SvxMSDffManager::CreateSdrOLEFromStorage(String const&, SotStorageRef&,
com::sun::star::uno::Reference<com::sun::star::embed::XStorage> const&, Graphic
const&, Rectangle const&, Rectangle const&, SvStream*, unsigned long&, unsigned
long, long long) + 0x2b1)
0xa25e79: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x559e79
0x14794b5: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x73c4b5
(SvxMSDffManager::ImportGraphic(SvStream&, SfxItemSet&, Rectangle&, DffObjData
const&) const + 0x92b)
0x147c729: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x73f729
(SvxMSDffManager::ImportShape(DffRecordHeader const&, SvStream&, void*,
Rectangle const&, Rectangle const&, int, long*) + 0x7db)
0x147ee39: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x741e39
(SvxMSDffManager::ImportObj(SvStream&, void*, Rectangle const&, Rectangle
const&, int, long*) + 0x75)
0x147ef4d: /usr/lib/openoffice.org2.1/program/libsvx680li.so + 0x741f4d
(SvxMSDffManager::GetShape(unsigned long, SdrObject*&, SvxMSDffImportData&) + 0xf7)
0xa17a84: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x54ba84
0xa22446: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x556446
0xa228e5: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x5568e5
0xa22a9b: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x556a9b
0xa24bdd: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x558bdd
0xa25948: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x559948
0xa25c86: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x559c86
0xa261fb: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x55a1fb
0x9375c4: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x46b5c4
0xaadb1c: /usr/lib/openoffice.org2.1/program/libsw680li.so + 0x5e1b1c
0x1aaba0c: /usr/lib/openoffice.org2.1/program/libsfx680li.so + 0x13ca0c
(SfxObjectShell::DoLoad(SfxMedium*) + 0xf5e)
0x1ae9b08: /usr/lib/openoffice.org2.1/program/libsfx680li.so + 0x17ab08
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x47e)
0x1b0a62c: /usr/lib/openoffice.org2.1/program/libsfx680li.so + 0x19b62c
0x5ad75d1: /usr/lib/openoffice.org2.1/program/libfwk680li.so + 0x1055d1
0x5ad781a: /usr/lib/openoffice.org2.1/program/libfwk680li.so + 0x10581a
0x5ad7f3a: /usr/lib/openoffice.org2.1/program/libfwk680li.so + 0x105f3a
0x5a0a805: /usr/lib/openoffice.org2.1/program/libfwk680li.so + 0x38805
0x4ac3f7: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x393f7
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x11a3)
0x4a3f9c: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x30f9c
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x172)
0x49a745: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x27745
(desktop::Desktop::OpenClients() + 0x1053)
0x49aa56: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x27a56
(desktop::Desktop::OpenClients_Impl(void*) + 0x2e)
0x49aac3: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x27ac3
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x1d)
0x6aace0b: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x83e0b
0x6c350d9: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x20c0d9
0x2090d9b: /usr/lib/openoffice.org2.1/program/libvclplug_gen680li.so + 0x1ed9b
0x20b9090: /usr/lib/openoffice.org2.1/program/libvclplug_gen680li.so + 0x47090
(SalDisplay::DispatchInternalEvent() + 0x78)
0x45226a7: /usr/lib/openoffice.org2.1/program/libvclplug_gtk680li.so + 0x136a7
0x45226d6: /usr/lib/openoffice.org2.1/program/libvclplug_gtk680li.so + 0x136d6
0x412ef5e1: /lib/libglib-2.0.so.0 + 0x295e1
0x412f1342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x412f431f: /lib/libglib-2.0.so.0 + 0x2e31f
0x412f4885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x45224d6: /usr/lib/openoffice.org2.1/program/libvclplug_gtk680li.so + 0x134d6
0x20bebb7: /usr/lib/openoffice.org2.1/program/libvclplug_gen680li.so + 0x4cbb7
(X11SalInstance::Yield(bool, bool) + 0x2f)
0x6ab60b3: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x8d0b3
(Application::Yield(bool) + 0x57)
0x6ab614f: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x8d14f
(Application::Execute() + 0x2b)
0x496f53: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x23f53
(desktop::Desktop::Main() + 0x18e3)
0x6aba791: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x91791
0x6aba8ab: /usr/lib/openoffice.org2.1/program/libvcl680li.so + 0x918ab (SVMain()
+ 0x2d)
0x48fce3: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x1cce3 (sal_main +
0x67)
0x48fd46: /usr/lib/openoffice.org2.1/program/libsoffice.so + 0x1cd46 (main + 0x34)
0x41134dec: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x80484c1: /usr/lib/openoffice.org2.1/program/swriter.bin + 0x4c1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00377000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.1/program/libuno_sal.so.3 (0x0076e000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.1/program/libuno_salhelpergcc3.so.3 (0x0072b000)
	libstore.so.3 => /usr/lib/openoffice.org2.1/program/libstore.so.3 (0x009ea000)
	libdl.so.2 => /lib/libdl.so.2 (0x0063e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00c22000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.1/program/libstlport_gcc.so
(0x001ba000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00289000)
	libm.so.6 => /lib/libm.so.6 (0x006d9000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0059a000)
	libc.so.6 => /lib/libc.so.6 (0x00378000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00b08000)
	/lib/ld-linux.so.2 (0x4f750000)
...end sample ldd details ...
Comment 7 Caolan McNamara 2008-05-21 13:51:09 EDT
RHEL-5.2 includes 2.3.0 which has this fix in it.

For more information on where to find the updated files, please follow the link
below. You may reopen this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0403.html

Note You need to log in before you can comment on or make changes to this bug.